=== debian/changelog ===
noweb (2.11b-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop nowebm package and maintainer scripts. Closes: #878777.
  * Switch to debhelper 12 and dh.
    It handles manual pages, DEB_BUILD_OPTIONS.
  * Switch source format from dpatch to 3.0 (quilt) with DEP-3 headers.
    Drop empty 11_german. Inline 99_touch in d/rules.
    Merge and 01_debian and 12_nostrip.
  * Pass hardening flags to upstream Make. Closes: #661655.
  * Add watch file.
  * Switch copyright file to format 1.0.
  * Rules-Requires-Root: no.
  * Standards-Version: 4.5.0.
  * Set priority to optional from obsolete extra.
  * Switch Homepage URL to HTTPS.
  * Remove obsolete Apps section from doc-base registration.
  * Clean files generated by the build.
  * Wrap and sort dependencies..
  * Delete trailing whitespaces in d/changelog and d/rules.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 21 Jan 2020 12:31:45 +0100

noweb (2.11b-11) unstable; urgency=low

  * debian/control, debian/rules: we don't use iconc any more.
    (Closes: #835085)
  * debian/control, debian/copyright: update upstream's home page.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 26 Aug 2016 14:44:34 -0400

noweb (2.11b-10) unstable; urgency=low

  * debian/rules, debian/noweb.postinst, debian/noweb.postrm:
    * use dh_installtex to update TeX cache. (Closes: #814639)
  * debian/noweb.emacsen-startup:
    * use \' instead of $ in auto-mode-alist. (Closes: #616165)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 25 Feb 2016 09:49:02 -0500

noweb (2.11b-9) unstable; urgency=low

  * debian/patches/99_touch.dpatch: Add src/shell/noweave to the list of touched
    files. (Closes: #781099)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 27 Mar 2015 22:06:25 -0400

noweb (2.11b-8) unstable; urgency=low

  * debian/control:
    * Add Multi-Arch field. (Closes: #666085)
    * Recommends texlive. (Closes: #537666)
  * debian/rules:
    * Get build flags from dpkg-buildflags. (Closes: #657656)
    * Handle noopt build option.
  * src/shell/nountangle: allow multiple -filter options. (Closes: #537668)
    (Thanks to Anon Sricharoenchai for the patch.)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 12 Sep 2014 12:09:40 -0400

noweb (2.11b-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/99_touch.dpatch: Add src/Makefile to the list of touched
    files. (Closes: #701056)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 21 Feb 2013 21:43:25 +0100

noweb (2.11b-7) unstable; urgency=low

  * debian/patches/13_bashism.dpatch: Fix unportable backslash in call to echo.
    (Closes: #486052)
  * debian/patches/00list: It helps if this file is updated.

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 16 Jun 2008 13:16:19 -0400

noweb (2.11b-6) unstable; urgency=low

  * debian/patches/12_nostrip.dpatch: Comment out call to strip in
    Makefile. (Closes: #437653)

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 11 Jun 2008 12:49:51 -0400

noweb (2.11b-5) unstable; urgency=low

  * Use debian/compat file for debhelper compatibility version instead of
    DH_COMPAT variable.
  * Use $(CURDIR) instead of $(PWD).
  * Use Homepage field instead of homepage in description.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 06 Jun 2008 16:53:31 -0400

noweb (2.11b-4) unstable; urgency=low

  * Remove/move old conffile /etc/emacs/site-start.d/50nowebm.el if
    present. (Closes: #454705)
  * Bump standards version to 3.7.3 (no changes needed).

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 06 Jun 2008 10:00:27 -0400

noweb (2.11b-3) unstable; urgency=low

  * Use vmargin.sty instead of vpage.sty in onepage.tex. (Closes: #420614)
  * Fix German translation. (Closes: #418892)
  * Update build-depends for texlive.
  * Rename binary package to noweb, as per upstream's request. (Closes: #404507)

 -- Hubert Chan <uhoreg@debian.org>  Wed, 16 May 2007 14:22:41 -0400

noweb (2.11b-2) unstable; urgency=low

  * New maintainer. (Closes: #398109)
  * Acknowledge NMUs.  Thanks to Martin Zobel-Helas, Norman Ramsey, Joey
    Hess, Martin Shulze, Steve Langasek.  (Closes: #218050, #284691)
  * Fix patches so that we have a working clean target always, and push
    touching of roff output later into the patch.
  * Touch manpages to avoid rebuilding. (Closes: #394551)
  * Fix up a few minor build issues.
  * Update copyright file.
  * Remove obsolete README.Debian file, and other unnecessary cruft.
  * Add homepage to package description.

 -- Hubert Chan <uhoreg@debian.org>  Wed, 22 Nov 2006 18:13:25 -0500

noweb (2.11b-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * build-depend on awk instead of gawk (Closes: #339835)

 -- Martin Zobel-Helas <zobel@ftbfs.de>  Fri, 15 Sep 2006 14:20:25 +0000

noweb (2.11b-1.3) unstable; urgency=low

  [ Norman Ramsey ]
  * Non-maintainer upload.
  * Fixed some problems with Makefiles
  * Added scopehack to distribution. Closes: #284691
  * New upstream release
       - Closes: #218050 (and a related problem with noweave -x)
       - Closes: #223376
       - notes limits of htmltoc in man page (won't fix #157853)

  [ Joey Hess ]
  * Cleaned up the changelog bug closings, etc.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Jun 2006 14:57:58 -0400

noweb (2.11a-1.0) unstable; urgency=low

  * NMU

  [ Norman Ramsey ]
  * New upstream release
  * The security release put in patches that caused noweb to be
    unbuildable without noweb.  Existing patches were split and
    reordered to eliminate this problem.  In the process, I transitioned
    the package from dbs to dpatch, as recommended in the dbs man pages
    and the New Maintainer's Guide.

  [ Joey Hess ]
  * Add a dependency on gawk, which provides nawk, which noroots uses.
    Closes: #339835
  * Fix path in README.Debian. Closes: #223376
  * Current standards-version.

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Jun 2006 18:57:15 -0400

noweb (2.10c-3.3) unstable; urgency=low

  * NMU
  * Patch from Matt Kraai to complete xlibs-dev transition. Closes: #347128


